aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2019-02-23 21:56:55 +0200
committerMart Raudsepp <leio@gentoo.org>2019-02-23 21:56:55 +0200
commitb5c82c3d07b940832bef6bcac842270ac04d5956 (patch)
treee9b260a0b7aef323b0aa2615efa7552693fe6a5f
parentdev-util/itstool: version bump to 2.0.5 (diff)
downloadgnome-b5c82c3d07b940832bef6bcac842270ac04d5956.tar.gz
gnome-b5c82c3d07b940832bef6bcac842270ac04d5956.tar.bz2
gnome-b5c82c3d07b940832bef6bcac842270ac04d5956.zip
app-accessibility/orca: remove, available in ::gentoo
Main tree version depends on newer atk/at-spi2* due to important bug fixes in them, as noted in README Signed-off-by: Mart Raudsepp <leio@gentoo.org>
-rw-r--r--app-accessibility/orca/Manifest23
-rw-r--r--app-accessibility/orca/metadata.xml18
-rw-r--r--app-accessibility/orca/orca-3.26.0.ebuild72
3 files changed, 0 insertions, 113 deletions
diff --git a/app-accessibility/orca/Manifest b/app-accessibility/orca/Manifest
deleted file mode 100644
index 6cd2166a..00000000
--- a/app-accessibility/orca/Manifest
+++ /dev/null
@@ -1,23 +0,0 @@
------BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA256
-
-DIST orca-3.26.0.tar.xz 2407368 BLAKE2B e04a891a2f2478b5b5f556a423c073f8c64de78d1f744d41d292cd783edc2ba0e57824ba3afb1f1b58f62503a204003d97e1fb652df307f34ae6838bce44389c SHA512 ca3a60b36d9528cf424e01d7a1aad75a8e14e46a6c93330b8e439bd44832dbc44897657b8da3c583501ce8c835f589209f1b3969ab110766cb1dc099defd2445
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v2
-
-iQKTBAEBCAB9FiEEX+aBqe7MmoWBwzA1lSmjXZiBxnkFAlsv8B1fFIAAAAAALgAo
-aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDVG
-RTY4MUE5RUVDQzlBODU4MUMzMzAzNTk1MjlBMzVEOTg4MUM2NzkACgkQlSmjXZiB
-xnlMZA//UFuI/bGa73L4AX43Wv9FQaZStK5gHigqAxcSyzxUIKthoBK19KAD9E4R
-YkanzxSvPEqrl7vcPuyETYyDqufSTO+X6FWfaW7TdP7Qw9HitRtFVRK09vZb4t04
-VPGhSEtdZ6HF6qK46SnbkKd1QcbFKym1a/Earlgghsi8c1rGdbCFhvFul7+1jB9M
-gscw4LO8se38y6g7YKFbyqdpw/0tPiPfSjabfbtKWWitEDVX/v+e12tJx/9GLydk
-f87PRJ1Ya7ghOdyWQOQlO1QpKJKKIrL9C1VQgbCeZ8oijCi3gvpw7oCcfGJlgcEU
-uwjLwohqBLpgMGeJFRwcdh6zFXynJ7RqTFudEwJnUAjIwoKDFa74/J6O4ctXbhZL
-Y0TIwder8NS37YVwF/VQ7dm3rBA7sn5LjTCCvqHxB8o0HoijA9/G19jbox1eLomA
-wxLHBM8tyB4qaUOPbYW83ANVT46+/ezyYTIfcEjHWB5R9RUe3o0kRfzDFJcev3v5
-M0JAZWuTgN3VbMbkfjLMNLsXb0BCewYvBfmo9ELsYlWARftPJCoTrjT1lW5+6B4K
-mGkSdyxerY2C4KAIcSb7oydUkmnaXiLIAZBTx6cqEXWCUassW2CAPSOi2b9yZK+N
-8ywcxPjM92+7KObdxdT0EZCxlRxB7n1QOwXyDiZ8lv5xJp3War4=
-=zy3o
------END PGP SIGNATURE-----
diff --git a/app-accessibility/orca/metadata.xml b/app-accessibility/orca/metadata.xml
deleted file mode 100644
index 81828abc..00000000
--- a/app-accessibility/orca/metadata.xml
+++ /dev/null
@@ -1,18 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<maintainer type="project">
- <email>gnome@gentoo.org</email>
- <name>Gentoo GNOME Desktop</name>
-</maintainer>
-<use>
- <flag name="braille">Enable braille support</flag>
-</use>
-<longdescription>
- Orca is a flexible, extensible, and powerful assistive technology
- for people with visual impairments. Using various combinations of
- speech synthesis, braille, and magnification, Orca helps provide
- access to applications and toolkits that support the AT-SPI (e.g.,
- the GNOME desktop).
-</longdescription>
-</pkgmetadata>
diff --git a/app-accessibility/orca/orca-3.26.0.ebuild b/app-accessibility/orca/orca-3.26.0.ebuild
deleted file mode 100644
index fc9d9b12..00000000
--- a/app-accessibility/orca/orca-3.26.0.ebuild
+++ /dev/null
@@ -1,72 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-GNOME2_LA_PUNT="yes"
-PYTHON_COMPAT=( python3_{4,5,6} )
-PYTHON_REQ_USE="threads"
-
-inherit gnome2 python-r1
-
-DESCRIPTION="Extensible screen reader that provides access to the desktop"
-HOMEPAGE="https://wiki.gnome.org/Projects/Orca"
-
-LICENSE="LGPL-2.1+ CC-BY-SA-3.0"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
-
-IUSE="+braille"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-COMMON_DEPEND="${PYTHON_DEPS}
- >=app-accessibility/at-spi2-atk-2.18:2
- >=app-accessibility/at-spi2-core-2.18:2[introspection]
- >=dev-libs/atk-2.10
- >=dev-libs/glib-2.28:2
- dev-python/gst-python:1.0[${PYTHON_USEDEP}]
- >=dev-python/pygobject-3.18:3[${PYTHON_USEDEP}]
- media-libs/gstreamer:1.0[introspection]
- >=x11-libs/gtk+-3.6.2:3[introspection]
- braille? (
- >=app-accessibility/brltty-5.0-r3[python,${PYTHON_USEDEP}]
- dev-libs/liblouis[python,${PYTHON_USEDEP}] )
-"
-RDEPEND="${COMMON_DEPEND}
- >=app-accessibility/speech-dispatcher-0.8[python,${PYTHON_USEDEP}]
- dev-libs/atk[introspection]
- dev-python/pyatspi[${PYTHON_USEDEP}]
- dev-python/setproctitle[${PYTHON_USEDEP}]
- x11-libs/libwnck:3[introspection]
- x11-libs/pango[introspection]
-"
-DEPEND="${COMMON_DEPEND}
- >=dev-util/intltool-0.50
- dev-util/itstool
- virtual/pkgconfig
-"
-# app-text/yelp-tools
-
-src_prepare() {
- gnome2_src_prepare
- python_copy_sources
-}
-
-src_configure() {
- python_foreach_impl run_in_build_dir gnome2_src_configure \
- $(use_with braille liblouis)
-}
-
-src_compile() {
- python_foreach_impl run_in_build_dir gnome2_src_compile
-}
-
-src_install() {
- installing() {
- gnome2_src_install
- # Massage shebang to make python_doscript happy
- sed -e 's:#!'"${PYTHON}:#!/usr/bin/python:" \
- -i src/orca/orca || die
- python_doscript src/orca/orca
- }
- python_foreach_impl run_in_build_dir installing
-}